Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Text::Abbrev

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Text::Abbrev

- NAME
- SYNOPSIS
- DESCRIPTION
- EXAMPLE

# NAME

Text::Abbrev - abbrev - create an abbreviation table from a list

# SYNOPSIS

        use Text::Abbrev;    abbrev $hashref, LIST

# DESCRIPTION

Stores all unambiguous truncations of each element of LIST as keys in the associative array referenced by `$hashref` . The values are the original list elements.

# EXAMPLE

        $hashref = abbrev qw(list edit send abort gripe);    %hash = abbrev qw(list edit send abort gripe);    abbrev $hashref, qw(list edit send abort gripe);    abbrev(*hash, qw(list edit send abort gripe));

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- EXAMPLE